## xzgv 0.8

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # version number, needed for distrib-making stuff below.
 #
-VERS=0.7
+VERS=0.8
