## xzgv 0.9+svn40

=== Makefile ===
--- 
+++ 
@@ -42,14 +42,19 @@
 
 # Like in GNU stuff, info files aren't automatically remade,
 # as I don't want to assume everyone has texinfo's `makeinfo' handy.
-info: doc/xzgv.gz
+info: doc/xzgv.info.gz
 
-doc/xzgv.gz: doc/xzgv.texi
+doc/xzgv.info.gz: doc/xzgv.texi
 	cd doc && $(MAKE) info
 
 clean:
 	cd src && $(MAKE) clean
 	cd doc && $(MAKE) clean
+	$(RM) *~
+
+realclean:
+	cd src && $(MAKE) realclean
+	cd doc && $(MAKE) realclean
 	$(RM) *~
 
 install: all
