## xzgv 0.9.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # version number, needed for distrib-making stuff below.
 #
-VERS=0.9
+VERS=0.9.1
 
 
 
@@ -72,7 +72,7 @@
 
 # Based on the example in ESR's Software Release Practice HOWTO.
 #
-../xzgv-$(VERS).tar.gz: info man clean
+../xzgv-$(VERS).tar.gz: info man realclean
 	$(RM) ../xzgv-$(VERS)
 	@cd ..;ln -s xzgv xzgv-$(VERS)
 	cd ..;tar zchf xzgv-$(VERS).tar.gz --exclude=.svn xzgv-$(VERS)
