=== debian/changelog ===
xzgv (0.9.1-4) unstable; urgency=medium

  * Make the build be reproducible (Closes: #777274)
  * Replace menu file with a desktop file (Closes: #734436)
  * Update Debian Policy Standards Version to 3.9.8

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 14 Aug 2016 23:13:49 -0400

xzgv (0.9.1-3) unstable; urgency=medium

  * Fix RC bug; need dummy prerm file to allow clean upgrade from wheezy
    (Closes: #726800)
  * Update Debian Policy Standards Version to 3.9.5

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 01 Jan 2014 11:42:29 -0500

xzgv (0.9.1-2) unstable; urgency=low

  * Add build dependency on install-info (Closes: #719375)
  * Tighten up package description (Closes: #600415)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 13 Oct 2013 20:31:28 -0400

xzgv (0.9.1-1) unstable; urgency=low

  * New upstream version
  * Fix bug which caused xzgv to crash when adjusting the scaling using
    the 's' or 'd' keys when no image is being displayed.  (Closes: #498033)
  * Link all libraries needed explicitly so we successfully link using
    the binutils-gold linker.  (Closes: #713586, #556765)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 26 Jun 2013 21:47:00 -0400

xzgv (0.9+svn40-1) unstable; urgency=low

  * Fix xzgv crashing on thumbnail files.  (Closes: #457252)
  * Update home page in package description to the Sourceforge project
  * Install mailcap entries (Closes: #167445)
  * Update Debian Policy Standards Version to 3.8.0.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 11 Jul 2008 20:22:31 -0400

xzgv (0.9+svn34-1) unstable; urgency=low

  * New upstream release.  (Closes: #444686, #408841, #456826)
  * This version of xzgv no longer uses GTK+ and imlib, but rather GTK 2
      with gdk-pixbuf as the rendering back-end.  As a result, Gamma,
      brightness, contrast, and EXIF-orientation are currently
      unsupported.  (Closes: #456138)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 18 Dec 2007 09:06:26 -0500

xzgv (0.8-5) unstable; urgency=low

  * Build against gdk-imlib11-dev (Closes: #333047)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 13 Nov 2005 00:14:33 -0500

xzgv (0.8-4) unstable; urgency=low

  * Build against libpng 1.2.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 15 Jun 2005 01:33:52 -0400

xzgv (0.8-3) unstable; urgency=high

  * Applied security fix to prevent buffer overruns from:
    http://www.svgalib.org/rus/zgv/zgv-5.8-integer-overflow-fix.diff
    Addresses vulnerability: CAN-2004-0994  (Closes: #284127)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 13 Dec 2004 12:23:47 -0500

xzgv (0.8-2) unstable; urgency=medium

  * Update to use libtiff4 instead of libtiff3 in order to avoid
    compatibility problems caused by accidental ABI changes in libtiff
    version 3.5.7; sarge will not contain libtiff.so.3 for this reason.
  * Fix quoting problems in debian/menu.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 30 Jul 2004 20:08:23 -0400

xzgv (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu,  9 Oct 2003 07:09:32 -0400

xzgv (0.7-15) unstable; urgency=low

  * New maintainer.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 12 Jul 2003 01:42:39 -0400

xzgv (0.7-14) unstable; urgency=low

  * Fix multiline literal FTBFS.   (Closes: #196541)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 23 Jun 2003 06:08:09 -0500

xzgv (0.7-13) unstable; urgency=low

  * Revert back to libpng2-dev and libgdk-imlib1-dev.
    Remember, kids, it's all fun and games until someone gets hurt.
    (Closes: #167134) [severity-inflated]

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 31 Oct 2002 13:46:21 -0600

xzgv (0.7-12) unstable; urgency=low

  * Fix problem with rendering non-ASCII characters in the image browser.
    (Closes: #157186)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 23 Aug 2002 15:07:46 -0500

xzgv (0.7-11) unstable; urgency=low

  * Add build dependencies on libjpeg62-dev and libtiff3g-dev.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Aug 2002 22:30:23 -0500

xzgv (0.7-10) unstable; urgency=low

  * Transition to libpng3 (new imlib).

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Aug 2002 13:42:27 -0500

xzgv (0.7-9) unstable; urgency=low

  * Add explicit build dependency on libpng2-dev; for some reason, it
    isn't being pulled in on some architectures' build daemons.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 10 Jul 2002 14:19:15 -0500

xzgv (0.7-8) unstable; urgency=low

  * Fix bug with middle mouse button in file selector.  (Closes: #151788)
    Thanks to Russell Marks for the patch.
  * Note in xzgv.texi which options aren't accepted in the .xzgvrc file,
    based on comments in the file.  (Closes: #151787)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  9 Jul 2002 14:09:32 -0500

xzgv (0.7-7) unstable; urgency=low

  * Spawn x-terminal-emulator when reading help, rather than xterm.
    (Closes: #151738)
  * Add icon to menu entry.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  2 Jul 2002 22:29:26 -0500

xzgv (0.7-6) unstable; urgency=high

  * Update build dependencies.  (Closes: #136067)
  * Rebuild against latest libpng.  (Closes: #136065)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Feb 2002 10:20:05 -0600

xzgv (0.7-5) unstable; urgency=low

  * Include patch from upstream to fix segfaults with some corrupted
    JPEGs.
  * Rebuild against new libpng.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 13 Jan 2002 19:18:05 -0600

xzgv (0.7-4) unstable; urgency=low

  * Clean up info file registration.  (Closes: #122461)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 Dec 2001 23:10:41 -0600

xzgv (0.7-3) unstable; urgency=low

  * Added menu hint "Images."  (Closes: #121033)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 25 Nov 2001 00:32:22 -0600

xzgv (0.7-2) unstable; urgency=low

  * Add build dependency on texinfo.  (Closes: #98881)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Jun 2001 22:47:40 -0500

xzgv (0.7-1) unstable; urgency=low

  * New upstream release.

