=== debian/control ===
Source: xzgv
Section: graphics
Priority: optional
Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Build-Depends: debhelper (>= 5), gawk, libgtk2.0-dev, texinfo, install-info
Standards-Version: 3.9.8

Package: xzgv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Picture viewer for X with a thumbnail-based selector
 xzgv is a picture viewer for X, with a thumbnail-based file selector.
 Most file formats are supported, and the thumbnails used are
 compatible with xv, zgv, and the Gimp. It can also be used with `xzgv
 file(s)', to effectively bypass the file selector.
 .
 xzgv differs from other picture viewers for X in that it uses one
 window for both the file selector and viewer, it (unlike xv) allows
 both scrolling and fit-to-window methods of viewing large pictures,
 and it (unlike xv and some others) doesn't ever mangle the picture's
 aspect ratio.
 .
 It also provides extensive keyboard support; if you prefer using the
 keyboard, this is almost certainly the best viewer for you. But it
 doesn't skimp on the mousey stuff, either.
 .
 Note that this program is written by the author of the svgalib-based
 "zgv", and has similar features.
 .
 Home Page: http://sourceforge.net/projects/xzgv
