=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PATH=/bin:/usr/bin:/usr/sbin

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += `pkg-config --cflags gtk+-2.0` `pkg-config --cflags gdk-pixbuf-2.0` \
	`pkg-config --cflags x11`
LDFLAGS += -lgtk-x11-2.0 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lglib-2.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lglib-2.0 -lX11 -lm

configure: debian/configure-stamp
debian/configure-stamp:
	dh_testdir

	# xzgv doesn't use configure

	touch debian/configure-stamp


build: build-arch build-indep

build-arch: debian/build-arch-stamp
debian/build-arch-stamp: debian/configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" GZIP=-9n all info

	touch $@

build-indep: debian/build-indep-stamp
debian/build-indep-stamp: debian/configure-stamp
	#docbook-to-man debian/xzgv.sgml > xzgv.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f debian/*-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) realclean
	rm -rf `find . -type d -name .xvpics`

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/xzgv.
	$(MAKE) install PREFIX=$(CURDIR)/debian/xzgv/usr INFODIR=$(CURDIR)/debian/xzgv/usr/share/info MANDIR=$(CURDIR)/debian/xzgv/usr/share/man/man1 INFO_DIR_UPDATE=no
	cp $(CURDIR)/debian/xzgv.xpm $(CURDIR)/debian/xzgv/usr/share/pixmaps
	mkdir -p $(CURDIR)/debian/xzgv/usr/share/applications
	cp $(CURDIR)/debian/xzgv.desktop \
		$(CURDIR)/debian/xzgv/usr/share/applications
	chmod 644 $(CURDIR)/debian/xzgv/usr/share/applications/xzgv.desktop
	for i in $(CURDIR)/debian/xzgv-*.png ; do \
		a=$$(basename $$i | sed -e 's/xzgv-//' -e 's/.png//') ; \
		d=$(CURDIR)/debian/xzgv/usr/share/icons/hicolor/$${a}x$${a}/apps ; \
		echo installing $$d ; \
		mkdir -p $$d ; \
		cp $$i $$d/xzgv.png ; \
		chmod 644 $$d/xzgv.png ; \
	done
	rm -f $(CURDIR)/debian/xzgv/usr/share/info/dir*


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
	dh_installinfo $(CURDIR)/doc/xzgv.info.gz
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
