=== src/Makefile ===
--- 
+++ 
@@ -9,8 +9,10 @@
 # This gets definitions for CC, CFLAGS, BINDIR etc.
 include ../config.mk
 
-CFLAGS+=`pkg-config --cflags gtk+-2.0` `pkg-config --cflags gdk-pixbuf-2.0`
-LDFLAGS+=`pkg-config --libs gtk+-2.0` `pkg-config --libs gdk-pixbuf-2.0`
+CFLAGS+=`pkg-config --cflags gtk+-2.0` `pkg-config --cflags gdk-pixbuf-2.0` \
+	`pkg-config --cflags x11` `pkg-config --cflags libexif`
+LDFLAGS+=`pkg-config --libs gtk+-2.0` `pkg-config --libs gdk-pixbuf-2.0` \
+	`pkg-config --libs x11` `pkg-config --libs libexif` -lm
 
 all: xzgv
 
@@ -23,7 +25,7 @@
 	backend.o
 
 xzgv: $(OBJS)
-	$(CC) $(LDFLAGS) -o xzgv $(OBJS)
+	$(CC) -o xzgv $(OBJS) $(LDFLAGS)
 
 installdirs:
 	/bin/sh ../mkinstalldirs $(BINDIR)
@@ -31,9 +33,18 @@
 install: xzgv installdirs
 	install xzgv $(BINDIR)
 	chmod 755 $(BINDIR)/xzgv
+	install xzgv.desktop $(DESKTOPDIR1)
+	install xzgv.desktop $(DESKTOPDIR2)
+	install icon-64.xpm $(PIXMAPDIR)/xzgv.xpm
+	chmod 644 $(DESKTOPDIR1)/xzgv.desktop
+	chmod 644 $(DESKTOPDIR2)/xzgv.desktop
+	chmod 644 $(PIXMAPDIR)/xzgv.xpm
 
 uninstall:
 	$(RM) $(BINDIR)/xzgv
+	$(RM) $(DESKTOPDIR1)/xzgv.desktop
+	$(RM) $(DESKTOPDIR2)/xzgv.desktop
+	$(RM) $(PIXMAPDIR)/xzgv.xpm
 
 clean:
 	$(RM) *~ *.o xzgv
@@ -54,7 +65,7 @@
 main.o: main.c backend.h resizepic.h rcfile.h filedetails.h gotodir.h \
  updatetn.h confirm.h misc.h copymove.h rename.h help.h dir_icon.xpm \
  dir_icon_small.xpm file_icon.xpm file_icon_small.xpm \
- icon-48.xpm main.h
+ icon-48.xpm xzgv.desktop main.h
 misc.o: misc.c misc.h
 rcfile.o: rcfile.c getopt.h rcfile.h rcfile_opt.h rcfile_var.h \
  rcfile_short.h
