=== debian/changelog ===
xzgv (0.9.2-2) unstable; urgency=medium

  * Convert debian/rules file to use dh
  * Update the debhelper compatibility level to 12
  * Update Debian policy compliance to 4.4.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 04 Aug 2019 11:59:17 -0400

xzgv (0.9.2-1) unstable; urgency=medium

  * New upstream version
  * Added option to show only image files in the selector (Closes: #457253)
  * Fixed Exif orientation (Closes: #610568)
  * Fixed thumbnails not showing up when zoom is enabled
    (Closes: #214112, #379869)
  * Fixed segfault when going to next image after closing the current one
    (Closes: #766954)
  * Update to debhelper compatibility level 12
  * Update Debian Policy Standards Version to 4.3.0
  * Fix zwgc man page

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 05 Mar 2019 23:06:18 -0500
