=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: debhelper (>= 5), gawk, libgtk2.0-dev, texinfo, install-info
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 12), gawk, libexif-dev, libgtk2.0-dev, texinfo, install-info
+Standards-Version: 4.4.0
 
 Package: xzgv
 Architecture: any
