=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS ?= hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

PATH=/bin:/usr/bin:/usr/sbin

CFLAGS += $(shell pkg-config --cflags gtk+-2.0) \
	$(shell pkg-config --cflags gdk-pixbuf-2.0) \
	$(shell pkg-config --cflags x11)
LDFLAGS += -lgtk-x11-2.0 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 \
	-lglib-2.0 -lgio-2.0 -lX11 -lexif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" GZIP=-9n all info

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/xzgv/usr INFODIR=$(CURDIR)/debian/xzgv/usr/share/info MANDIR=$(CURDIR)/debian/xzgv/usr/share/man/man1 INFO_DIR_UPDATE=no
	cp $(CURDIR)/debian/xzgv.xpm $(CURDIR)/debian/xzgv/usr/share/pixmaps
	mkdir -p $(CURDIR)/debian/xzgv/usr/share/applications
	cp $(CURDIR)/debian/xzgv.desktop \
		$(CURDIR)/debian/xzgv/usr/share/applications
	chmod 644 $(CURDIR)/debian/xzgv/usr/share/applications/xzgv.desktop
	for i in $(CURDIR)/debian/xzgv-*.png ; do \
		a=$$(basename $$i | sed -e 's/xzgv-//' -e 's/.png//') ; \
		d=$(CURDIR)/debian/xzgv/usr/share/icons/hicolor/$${a}x$${a}/apps ; \
		echo installing $$d ; \
		mkdir -p $$d ; \
		cp $$i $$d/xzgv.png ; \
		chmod 644 $$d/xzgv.png ; \
	done
	rm -f $(CURDIR)/debian/xzgv/usr/share/info/dir*
